#
# spec file for package tiff (Version 3.6.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  libjpeg

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libjpeg libtool perl rpm

Name:           tiff
License:        FSR, Other License(s), see package
Group:          Productivity/Graphics/Convertors
Autoreqprov:    on
URL:            http://www.remotesensing.org/libtiff/
Version:        3.6.1
Release:        38.30
Summary:        Tools for converting from/to tiff
Source:         ftp://ftp.onshore.com/pub/libtiff/tiff-v%{version}.tar.bz2
Source1:        jpegint.h
Patch1:         tiff-v%{version}-tempfile.patch
Patch2:         tiff-v%{version}-seek.patch
Patch3:         tiff-v%{version}-exit.patch
Patch4:         tiff-v%{version}-64bit.patch
Patch5:         tiff-v%{version}-warn.patch
Patch6:         tiff-v%{version}-tif_fax3.patch
Patch7:         libtiff-up-bound.patch
Patch8:         tiff-maxscanline.patch
Patch9:         libtiff-3.6.1-alt-bound.patch
Patch10:        libtiff-3.6.1-alt-bound-fix.patch
Patch11:        tiff-v%{version}-check-ycbcrsubvalues.patch
Patch12:        libtiff-3.7.1-overflow.patch
Patch13:        tiff-v%{version}-BitsPerSample.patch
Patch14:        tiff-%{version}-ppm.patch
Patch15:        tiff-%{version}-libtiff_bug_1065.patch    
Patch16:        tiff-%{version}-libtiff_bug_1102_1.patch
Patch17:        tiff-%{version}-libtiff_bug_1102_2.patch  
Patch18:        tiff-%{version}-libtiff_bug_1102_3.patch  
Patch19:        tiff-%{version}-tiffgt.patch
Patch20:        tiff-%{version}-tif_dir_double_free.patch
Patch21:        tiff-%{version}-tiff2pdf.patch
Patch22:        tiff-%{version}-tiffsplit-CVE-2006-2656.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library and support programs for the TIFF image format.



Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

%package -n libtiff
Summary:        The Tiff Library (with JPEG and compression support)
Group:          System/Libraries
Provides:       libtiff-devel
Autoreqprov:    on

%description -n libtiff
This package includes the tiff libraries. To link a program with
libtiff, you will have to add -ljpeg and -lz to include the necessary
libjpeg and libz in the linking process.



Authors:
--------
    Sam Leffler <sam@engr.sgi.com>

%prep
%setup -q -n tiff-v%{version}
%patch1 -p1 -b .tempfile
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9 -p1
%patch10
%patch11 -p1
%patch12
%patch13
%patch14
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21
%patch22
cp %{S:1} libtiff
find -type d -name "CVS" | xargs rm -rfv
find -type d | xargs chmod 755

%build
MANPATH="%{_mandir}" OPTIMIZER="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr  --noninteractive --with-JPEG --with-ZIP
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/{man1,man3},usr/{bin,lib,include}}
make  install DESTDIR=$RPM_BUILD_ROOT 
%ifarch s390x sparc64 ppc64 x86_64
mkdir -p $RPM_BUILD_ROOT/usr/lib64
mv -v $RPM_BUILD_ROOT/usr/lib/* $RPM_BUILD_ROOT/usr/lib64/
%endif
ln -sf libtiff.so.3 $RPM_BUILD_ROOT/usr/%{_lib}/libtiff.so
for f in `find $RPM_BUILD_ROOT/%{_mandir} -type f -print ` ; do
  if [ `wc -l <$f` -eq 1 ] && grep -q "^\.so " $f ; then
    linkto=`sed -e "s|^\.so ||" $f`
    [ -f "`dirname $f`/$linkto" ] && ln -sf "$linkto" $f
  fi
done
  

%post -n libtiff
%run_ldconfig

%postun -n libtiff
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
%doc html
%doc %{_mandir}/*/*

%files -n libtiff
%defattr(-,root,root)
/usr/include/*
%{_libdir}/*
%doc README COPYRIGHT

%changelog -n tiff
* Mon Jun 12 2006 - nadvornik@suse.cz
- fixed a typo in the previous change [#179051]
* Fri Jun 02 2006 - nadvornik@suse.cz
- fixed buffer overflow in tiffsplit (CVE-2006-2656) [#179051]
- fixed buffer overflow in tiff2pdf [#179587]
* Thu Apr 20 2006 - nadvornik@suse.cz
- fixed various crashes on invalid input [#165237]
* Mon Sep 26 2005 - nadvornik@suse.cz
- fixed 64bit bug in ppm2tiff [#85440]
* Mon May 09 2005 - nadvornik@suse.cz
- fixed buffer overflow in BitsPerSample [#82787]
* Mon Jan 03 2005 - nadvornik@suse.cz
- fixed directory entry count overflow (CAN-2004-1183) [#49469]
- fixed overflow in tiffdump
* Wed Oct 20 2004 - meissner@suse.de
- Initialize ycbcrsubsampling to be not 0 in case
  of bad tiffs to avoid denial of service by divison/0.
* Tue Oct 12 2004 - nadvornik@suse.cz
- do not call TIFFTileSize with uninitialized values [#44635]
* Thu Oct 07 2004 - pmladek@suse.cz
- fixed much more buffer overflows (the older tiff-alt-bound-CheckMalloc.patch
  is included in the new libtiff-3.6.1-alt-bound.patch now) [#44635]
* Thu Sep 30 2004 - nadvornik@suse.cz
- fixed multiple buffer overflows - CAN-2004-0803 [#44635]
- disabled old jpeg support because of security problems [#45116]
* Tue Apr 27 2004 - nadvornik@suse.cz
- fixed tif_fax3 from cvs [#39515]
* Mon Feb 09 2004 - nadvornik@suse.cz
- updated to 3.6.1
- fixed dangerous compiler warnings
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed May 21 2003 - ro@suse.de
- remove cvs subdirs
* Sat Jul 27 2002 - kukuk@suse.de
- Provide libtiff-devel in libtiff [Bug #17260]
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Wed Jul 03 2002 - nadvornik@suse.cz
- fixed segfault in fax2tiff [bug #16818]
- fixed size of int32 on 64bit architectures
* Wed Jun 26 2002 - ro@suse.de
- fixed directory permissions
* Wed Jun 19 2002 - nadvornik@suse.cz
- compiled with OJPEG_SUPPORT [bug #16408]
* Thu Apr 18 2002 - kukuk@suse.de
- Fix to compile on lib64 architectures
* Wed Feb 06 2002 - coolo@suse.de
- use %%_libdir
* Thu Jan 24 2002 - okir@suse.de
- Fixed a tempfile race in fax2ps
* Tue Dec 11 2001 - nadvornik@suse.cz
- updated to 3.5.7: bugfix release
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 15 2001 - schwab@suse.de
- Fix for ia64.
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Thu May 25 2000 - schwab@suse.de
- Fix dso configure check for ia64.
* Thu May 11 2000 - nadvornik@suse.cz
- update to 3.5.5
- added BuildRoot
* Tue Jan 25 2000 - ro@suse.de
- manpages to /usr/share using macro
* Mon Jan 03 2000 - schwab@suse.de
- Update to 3.5.4 (Y2K fix)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jan 13 1999 - ro@suse.de
- respect systems where libc is libc.so.6.1 (alpha)
* Wed Nov 25 1998 - ro@suse.de
- update to 3.4 (final) named 3.4.final for rpm
- moved from /usr/X11R6 to /usr
* Wed Jul 29 1998 - werner@suse.de
- Link shared libs explicit with -lc
* Tue May 12 1998 - ro@suse.de
- extracted package from libgr / build from own sources
